Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Modified Rakefile to include test

  • Loading branch information...
commit a2d3e209b62b944f92c62eb755d95455039928bc 1 parent cfac159
@sendorf sendorf authored
Showing with 6 additions and 19 deletions.
  1. +6 −12 Rakefile
  2. +0 −1  spec/spec_helper.rb
  3. +0 −6 to_xls.gemspec
View
18 Rakefile
@@ -8,16 +8,10 @@ require "bundler/gem_tasks"
Bundler.setup(:default, :test)
-task :spec do
- begin
- require 'rspec/core/rake_task'
-
- desc "Run the specs under spec/"
- RSpec::Core::RakeTask.new do |t|
- #undefined method `spec_files=' for #<RSpec::Core::RakeTask:0x951189c>
- t.spec_files = FileList['spec/**/*_spec.rb']
- end
- rescue NameError, LoadError => e
- puts e
- end
+require 'rspec/core'
+require 'rspec/core/rake_task'
+RSpec::Core::RakeTask.new(:spec) do |spec|
+ spec.pattern = FileList['spec/**/*_spec.rb']
end
+
+task :default => :spec
View
1  spec/spec_helper.rb
@@ -1,7 +1,6 @@
$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))
$LOAD_PATH.unshift(File.dirname(__FILE__))
require 'rspec'
-require 'factory_girl'
require 'to_xls'
# Requires supporting files with custom matchers and macros, etc,
View
6 to_xls.gemspec
@@ -31,8 +31,6 @@ Gem::Specification.new do |s|
s.add_development_dependency(%q<rspec>, ["~> 2.3.0"])
s.add_development_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_development_dependency(%q<jeweler>, ["~> 1.5.2"])
- s.add_development_dependency(%q<rcov>, [">= 0"])
- s.add_development_dependency(%q<factory_girl>, [">= 0"])
s.add_runtime_dependency(%q<spreadsheet>, ["> 0"])
s.add_development_dependency(%q<rspec>, ["> 1.2.3"])
else
@@ -40,8 +38,6 @@ Gem::Specification.new do |s|
s.add_dependency(%q<rspec>, ["~> 2.3.0"])
s.add_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
- s.add_dependency(%q<rcov>, [">= 0"])
- s.add_dependency(%q<factory_girl>, [">= 0"])
s.add_dependency(%q<spreadsheet>, ["> 0"])
s.add_dependency(%q<rspec>, ["> 1.2.3"])
end
@@ -51,8 +47,6 @@ Gem::Specification.new do |s|
s.add_dependency(%q<rspec>, ["~> 2.3.0"])
s.add_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
- s.add_dependency(%q<rcov>, [">= 0"])
- s.add_dependency(%q<factory_girl>, [">= 0"])
s.add_dependency(%q<spreadsheet>, ["> 0"])
s.add_dependency(%q<rspec>, ["> 1.2.3"])
end
Please sign in to comment.
Something went wrong with that request. Please try again.